crashpad::process_types::SYSTEM_PROCESS_INFORMATION< Traits > Struct Template Reference

## Public Attributes

ULONG | NextEntryOffset
ULONG | NumberOfThreads
LARGE_INTEGER | WorkingSetPrivateSize
ULONG | HardFaultCount
ULONG | NumberOfThreadsHighWatermark
ULONGLONG | CycleTime
LARGE_INTEGER | CreateTime
LARGE_INTEGER | UserTime
LARGE_INTEGER | KernelTime
UNICODE_STRING< Traits > | ImageName
union {
LONG BasePriority
Traits::Pad padding_for_x64_0
}; |
union {
DWORD UniqueProcessId
Traits::Pad padding_for_x64_1
}; |
union {
DWORD InheritedFromUniqueProcessId
Traits::Pad padding_for_x64_2
}; |
ULONG | HandleCount
ULONG | SessionId
Traits::Pointer | UniqueProcessKey
union {
VM_COUNTERS< Traits > VirtualMemoryCounters
LARGE_INTEGER alignment_for_x86 [6]
}; |
IO_COUNTERS | IoCounters
SYSTEM_THREAD_INFORMATION< Traits > | Threads [1]

The documentation for this struct was generated from the following file:

- util/win/process_structs.h